PHP-инклюдинг в anyInventory

Дата публикации:
11.09.2007
Дата изменения:
11.09.2007
Всего просмотров:
1730
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
anyInventory 1.x
anyInventory 2.x
Уязвимые версии: anyInventory 2.0 и другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "DIR_PREFIX" в сценарии environment.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[anyInventory_path]/environment.php?DIR_PREFIX=[file]

URL производителя: anyinventory.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA